Bug Hunting Session
Bug 122992 - Multiple fonts not displayed in Font box REGRESSION
Summary: Multiple fonts not displayed in Font box REGRESSION
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2019-01-26 21:51 UTC by mike.hall
Modified: 2019-01-29 12:33 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
to show bug 122992 (9.61 KB, application/vnd.oasis.opendocument.text)
2019-01-27 08:16 UTC, mike.hall
Details
Bibisect log (3.22 KB, text/plain)
2019-01-27 13:30 UTC, Telesto
Details
Valgrind trace (29.22 KB, application/x-bzip)
2019-01-27 16:03 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mike.hall 2019-01-26 21:51:21 UTC
With 6.2.0.3
When multiple fonts are defined for a style, the fonts do not appear in the Font box in the Modify style dialogue box. If no text is selected, the fonts do appear in the bottom box. 
Regression from 6.1
Comment 1 Roman Kuznetsov 2019-01-27 07:29:54 UTC
Mike, can you write more clear steps for repro your problem?
Comment 2 mike.hall 2019-01-27 08:14:56 UTC
To see bug:
Open any writer document with styles with multiple fonts defined 
Click f11 to open the styles side panel
Click 'Paragraph Styles'
Make sure no text is selected
Hover over a style with multiple styles and select 'modify'
Observe that the font box is blank and that the box at the bottom simulating the styles contains the multiple styles

If necessary, create a document with multiple styles:
Do file new
enter a few lines of text
Click f11 to open the styles side panel
Click 'Paragraph Styles'
Hover over each style in turn and select 'modify'
Select 'Applied Styles' at bottom of dialogue box
In the font box, add a multiple styles definition eg:
 Carlito;Verdana;DejaVu Sans;sans serif
Click OK
At this point you can observe the bug
When done, save and close document

I will attach a document created as described
Comment 3 mike.hall 2019-01-27 08:16:42 UTC
Created attachment 148682 [details]
to show bug 122992

document created as described
Comment 4 mike.hall 2019-01-27 08:26:04 UTC
Bug does not occur with 6.1.4.2

You can demonstrate the bug with any style modified to have multiple fonts, whether or not the style is applied. It is not necessary to edit all applied styles.

open a new writer document
modify any style with multiple fonts
close dialogue
reopen same style to see bug
Comment 5 Telesto 2019-01-27 11:01:01 UTC
Repro with
Version: 6.3.0.0.alpha0+
Build ID: 6740443311268b7d918bf4f43134d64fb78a0109
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-15_23:37:04
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

not with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 6 Telesto 2019-01-27 13:30:33 UTC
Created attachment 148684 [details]
Bibisect log

Bisected to
author	Caolán McNamara <caolanm@redhat.com>	2018-09-10 17:19:19 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-14 11:43:51 +0100
commit	9237a905fa5f2b67db73c15847eff203a258c2b4 (patch)
tree	bf213e7f3fd7322ee032af9fa648d04c99faaba1
parent	34f6b7f4529cc5a3b0e286fbd7318c2b7bf9b132 (diff)
weld SvxCharNamePage

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9237a905fa5f2b67db73c15847eff203a258c2b4

STR
1. Open attachment 148682 [details]
2. Styles tab in sidebar
3. Right click "Default style" -> Modify
4. Font tab -> Empty font box.. -> Expected: Carlito;Verdana;DejaVu Sans;sans serif
Comment 7 Telesto 2019-01-27 13:31:12 UTC
Adding CC: to Caolán McNamara
Comment 8 Julien Nabet 2019-01-27 16:03:15 UTC
Created attachment 148686 [details]
Valgrind trace

On pc Debian x86-64 with master sources updated today, I could reproduce this.

Here's a Valgrind trace.
Comment 9 Commit Notification 2019-01-28 21:10:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/61da05ebd0cd73507484ce11c8ba6401d5c562fe%5E%21

Resolves: tdf#122992 allow pre-selected fonts not in the font list

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2019-01-28 21:10:56 UTC
fixed in master, backports in gerrit
Comment 11 Xisco Faulí 2019-01-29 10:02:26 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6d5af783bfd899253908c926853233a99df6f4e0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 12 Commit Notification 2019-01-29 12:33:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/184e614038893d94f45dbcd6334ee8d682c2d7f3%5E%21

Resolves: tdf#122992 allow pre-selected fonts not in the font list

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.